@tailwind base;
@tailwind components;
@tailwind utilities;

@font-face {
  font-family: Prompt;
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url("../../static/assets/fonts/fitko/prompt-v5-latin-regular.eot");
  src: local(""),
    url("../../static/assets/fonts/fitko/prompt-v5-latin-regular.eot?#iefix") format("embedded-opentype"),
    url("../../static/assets/fonts/fitko/prompt-v5-latin-regular.woff2") format("woff2"),
    url("../../static/assets/fonts/fitko/prompt-v5-latin-regular.woff") format("woff"),
    url("../../static/assets/fonts/fitko/prompt-v5-latin-regular.ttf") format("truetype"),
    url("../../static/assets/fonts/fitko/prompt-v5-latin-regular.svg#Prompt") format("svg")
}
@font-face {
  font-family: Prompt;
  font-style: normal;
  font-weight: 600;
  font-display: swap;
  src: url("../../static/assets/fonts/fitko/prompt-v5-latin-600.eot");
  src: local(""),
    url("../../static/assets/fonts/fitko/prompt-v5-latin-600.eot?#iefix") format("embedded-opentype"),
    url("../../static/assets/fonts/fitko/prompt-v5-latin-600.woff2") format("woff2"),
    url("../../static/assets/fonts/fitko/prompt-v5-latin-600.woff") format("woff"),
    url("../../static/assets/fonts/fitko/prompt-v5-latin-600.ttf") format("truetype"),
    url("../../static/assets/fonts/fitko/prompt-v5-latin-600.svg#Prompt") format("svg")
}

@layer base {
  .portal-header {
    font-family: Prompt, sans-serif;
    min-height: 26px;
    z-index: 300;
    
    nav {
      min-height: 26px;
      font-size: 0.8rem;
      a {
        color: #000;
        text-decoration: none;
      }
    }

    ul {
      @apply list-none ml-8;
    }
  }

  h1 {
    @apply font-semibold;
  }

  /* fix Tailwind unwanted overrides */
  h1:first-child {
    @apply font-bold text-5xl;
  }

  h1 {
    @apply font-bold text-3xl;
  }

  h2 {
    @apply font-bold text-3xl;
  }

  h3 {
    @apply font-bold text-2xl;
  }

  h4 {
    @apply font-bold;
  }

  ul {
    @apply list-disc ml-6;
  }
  
  ol {
    @apply list-decimal ml-6;
  }
  
  a {
    @apply text-blue-500;

    img, svg {
      @apply inline-block;
    }
  }
}

dl dt {
  font-weight: bold;
}

.alert,
.alert a,
.admonition,
.admonition-icon svg {
  color: var(--ifm-font-color-base);
  fill: var(--ifm-font-color-base);
  stroke: var(--ifm-font-color-base);
}

.alert a {
  text-decoration: underline;
  text-decoration-color: var(--ifm-alert-border-color);
}

.markdown hr {
  margin: var(--ifm-hr-margin-vertical) 0;
  border-top: 1px solid var(--ifm-border-color) !important;
  height: var(--ifm-hr-height);
}

.navbar-sidebar--show .navbar-sidebar {
  top: 40px;
}

.center {
  text-align: center;
}

img {
  color: red; /* color of alt text for images with invalid src url */
}

main .hidden {
  display: none !important;
}

/* subscribe form START */
.subscribe-form label {
  font-size: smaller;
  display: block;
  font-weight: 700;
}

.subscribe-form input {
  margin-bottom: 0.5rem;
  padding: 0.5rem 0.75rem;
  border: 1px solid rgb(229 231 235);
  border-radius: 0.5rem;
  width: 100vw;
  max-width: 320px;
}

.subscribe-form .get-subscribe {
  margin: 1rem 0;
  width: 190px;
  color: #ffffff;
  font-weight: 700;
  border-color: var(--ifm-color-primary);
  background-color: var(--ifm-color-primary);
  cursor: pointer;
}

.subscribe-form .no-subscribe {
  display: inline-block;
  text-decoration: none;
  font-size: x-small;
  padding-left: 2.5rem;
  margin-bottom: 1rem;
  width: 120px;
  text-align: right;
}
/* subscribe form END */
